**GUILD ROSTER MANAGER**
==================

**JOIN-UP ON DISCORD**

[Join Discord Here](https://discord.gg/TaYcGHB) or Copy This Link: https://discord.gg/TaYcGHB

*Join up to chat about the addon, offer suggestions, report bugs, or even just chat about guild management related things. All help in this regard is greatly appreciated! I respond much faster to Discord posts than I do anywhere else and am more likely to respond faster to any issues you might be encountering.*

**FOREWORD**

As a long-time guild leader, having managed the same guild since the days of *The Burning Crusade*, I always felt like the in-game interface was somewhat lacking. Like most people, I waited patiently for the trickle of improvements that happened every few years. Ultimately, I grew impatient. I wanted more. I was getting tired of the monotony of the grind that came with active leadership. So, while there were other options out there that were pretty good, I was still not truly satisfied. I wanted something cleaner, something with an interface that was easier to use when setting up alts and mains. I wanted something that could grow and expand in scope, as needed. I wanted something that would give me *more knowledge*, more information, more control. I wanted something that would help me make more informed decisions with the guild; or, at the very least, help cut the time it took me to decipher all of the busy work that needed to get done. This is where this addon was born from.

With the original work, added to with many great suggestions from people in this community, this addon has become something far more than I ever envisioned. However, at the core of GRM the purpose remains the same. My passion and my motivation remain the same, cenetered around one question, "Will this make managing some aspect of the guild better?" I do not wish to ever deviate from this original core goal.

------------------------------------

**GRM FEATURES**

*Snapshot of features before going into details on each one further down*

* Automatically syncing data! That's right! The data we are about to go over will be shared with other GRM addon users in your guild to help keep all players on the same page, especially the leadership. The editing privileges can also be controlled so only trusted ranks will have the power to share their edits with others.

* Alt/Main management - Easily set groupings

* No need to click each name in the roster now. You can just *Mouse Over* a player in the guild roster and a window will appear with their details

* Mouseover window has additional player details beyond the defaults:

    * Join Date, Promotion Date, as well as their histories (like the date of each promotion)
    * Player's RL birthday can be set
    * List of alts, as well as the "main" in the alt grouping.
    * A new *custom note* with 150 character limit can be set.
    * Character counts when editing the player notes

* Upcoming Join Date Anniversaries and Birthdays can be easily added to the in-game Guild Calendar (Retail Version only)

* Ban List that will inform you if someone banned rejoins the guild

* Auto-Add join date to public, officer, or custom note when a player joins the guild

* Guild Log Notification for when changes have occurred: 

    * Joined or Rejoined log entries (with who did the invite in Retail version)
    * Kicked or Left (with who kicked in Retail)
    * Level Up notification
    * Changes to public, officer, and custom notes
    * Notification if an inactive player returns
    * Promotions or Demotions (and who did them in Retail)
    * Name-Change detection
    * Recommendations to remove a player if offline too long, based on setting.
    * and several others.

* Macro Tool to assist in mass kicking inactive players 

* Export Tool to make it easy to export all guild player details, including core player details as well as GRM specific. Export the Log, as well as former member details too.

* Notifications can be set for players to inform you if say, a guildie is inactive, when they become active again.

[Click here for short video explanation of the addon](https://www.youtube.com/watch?v=D7TUlJ91FOw)

---------------------------------

**Features Detailed In More Depth**
==================

**DATA SYNCING**

![Sync Details](https://i.imgur.com/jgfi9SU.jpg)

*No need for every GRM user to configure all of these details, they will be sync'd both retroactively, and live. The more GRM users, the more redundancy in the guild if you lose your data and have no backups.*

***What Syncs:***

    * Join Date
    * Promotion/Demotion Date
    * Alts
    * Main Status
    * Bans
    * Custom Note
    * Birthday

*It is worth mentioning that all frames are fully programmed to also update LIVE as changes are received. No need to close a window and re-open. Your audit window will update on the fly, as well as the mouseover window, as information is received.*


**ALT/MAIN MANAGEMENT AND TAGGING**

![Add an alt to a grouping easily](https://i.imgur.com/MJI75L7.jpg)
![Chat tag of alt/main information](https://i.imgur.com/Ou9AyqA.jpg)
![Alt information shown on calendar window as well](https://i.imgur.com/bRipiep.jpg)

* The main tag can be customized to whatever color you like, or even to a different format (it can be disabled)

* These will show on all guildies in guild chat, whispers, party, raid, instance chat.


**ROSTER MOUSEOVER WINDOW**

![Mouseover Window!](https://i.imgur.com/cCbKn7H.gif)

* Clicking a player will LOCK the window in place. Either closing the window or pressing the ESC key will release the lock to continue mouseover action.

* Customizable. Within the core GRM window (/grm) you can go to the OPTIONS > UI and change features, like disabling the borders around the notes, hiding Birthday info because your guild doesn't use it. Hiding Guild Rep.



* Mouseover the guild roster names for all player info, some unique to addon.

![PlayerDetails](https://i.imgur.com/aGsdk8h.jpg)

**SYNC YOUR CHANGES WITH GUILDIES**

![Sync Users Window](https://i.imgur.com/t0IWVpV.jpg)

*Checks for changes On...*

* Joining and Leaving players
* Promotion and Demotion Dates (and history of all rank changes)
* Leveling
* Note and Officer note changes
* Inactive players returning
* If a player name-changes
* Guild ranks change their names
* Anniversary date auto-tracking w/announcement
* Ability to add birthdays and sync them to others.
* Reminder Notifications (Ex: Remind me to kick player if been offline X months)
* Banned Player tracking, as well as their alts
* Notification when players request to join guild
* Set Custom Notifications like if a player is AFK becomes Active again.
* Custom Note Changes

* Example Log Entries

![Log](https://i.imgur.com/r8N9kh4.jpg)

**EXAMPLE: PROMO DATA HISTORY**

![Promo](http://imgur.com/pzP2svI.jpg)

**EXAMPLE: ALT MANAGEMENT**

* Tag alts to player
* Tag which of the toons is the main.

![AltFrame](http://i.imgur.com/oItASZB.jpg)

* Sync all alts to the same join date so you don't need to manually configure each one.

![AltJDSync](https://i.imgur.com/gVwRtjJ.jpg)

* Main tagging in guild/officer/raid/party/instance/whisper chat

![mainTag](https://i.imgur.com/bTODe7l.jpg)

**EXAMPLE: REINVITING**

![Reinvite](http://imgur.com/2RiiFvT.jpg)

**EXAMPLE: BANNING**

![Ban1](https://i.imgur.com/dfE2mD0.jpg)

![Ban2](https://i.imgur.com/u97FSIj.jpg)

![Ban3](http://imgur.com/NyXrAaZ.jpg)

**BAN LIST**

![BanList](https://i.imgur.com/VlZpg4i.jpg)

[CLICK HERE FOR A SHORT VIDEO ON BAN FEATURES](https://www.youtube.com/watch?v=4uvn2sV4xQ0)

**Know if the player who quit the guild server transferred**

![ServerInfo](https://i.imgur.com/cATc4Fl.jpg)

**REQUESTS TO JOIN GUILD NOTIFICATION**

![Request](https://i.imgur.com/jIlf7W4.jpg)

* Notification if player requesting to join is Online

![Online](https://i.imgur.com/ZqFXBNe.jpg)

* Online Status of all players requesting to join guild

![Status](https://i.imgur.com/O9AlAFf.jpg)

**EXAMPLE NOTIFICATION**

![AFK](http://i.imgur.com/xpxC1lh.jpg)

**Add Events to Calendar that Automatically popup, like anniversary notifications**

![Calendar](https://i.imgur.com/lHh8r2v.png)

**Backup Data**

![Backups](https://i.imgur.com/UFGlM8d.jpg)

**AUDIT WINDOW**

* Quick glance on data still needing to be updated.

![AUDIT](https://i.imgur.com/6eFBNrT.jpg)

**SLASH COMMANDS IN OPTIONS**

![Slash Commands](https://i.imgur.com/ANTZoBO.jpg)

**MISC FEATURES**

* Custom Notes! An extra 150 characters!
* Use CTRL to scroll log super fast, or SHIFT to go immediately top or bottom.
* Character count on the public/officer note frames
* Character counts on Message of the Day and guild info when editing
* Mouseover histories
* Current status (AFK, BUSY, Active)
* Number of guildies you are grouped with in the raid window.
* MANY DETAILS on player!!!

***!NOTE TRIGGER**

![Note Trigger](https://i.imgur.com/sG7iA4C.jpg)

- Note Trigger for PUBLIC notes (works both Retail and Classic, but more useful in Classic).
- Players can now type "!note Player'sUpdatedNote"  into guild chat and if there is a current GRM user that is an officer online, they will add anything after the !note to the player's public note (up to 31 characters). Since there is no server-side log that records *who* edited a public note, the problem returns in Classic where trolls can edit anyone's public note. So, this allows you to disable public note editing to the general guild population, yet still allow them to set their own notes with the !note feature, as long as an officer with GRM is currently online.
- Example: !note iLvl=115, Eng 250, Alch 300 

**GLOBAL CONTROLS FOR GUILD LEADER AND OFFICERS USING GUILD INFO WINDOW**

*Unify some control options using the "g#^X" tags in the guild info window.*

![GRM Global Controls](https://i.imgur.com/TLU4JQE.jpg)

* X = index of minimum rank. Example: g2^0 = Guild Leader rank only(GL is zero), sync with no one, or g2^9, sync with ALL (if you have all 10 ranks established, including GL).

* 'g2^X' - Establish minimum sync rank restriction for all player details. This is global minimum - g2^2 would be the guild leader and the top 2 officer ranks

* 'g3^X' - Establish minimum sync rank restriction for BAN info

* 'g4^X' - Establish minimum sync rank restriction for Custom Note info

* 'g5^X' - Designate Join Date note destination. g5^1 = Officer, g5^2 = public, g5^3 = custom

* 'g6^Text^^Text^^' - Custom tags for note join dates - \"g6^Joined:^^Rejoined:^^\"

* 'g7^X' - Designate '!note' use. g7^1 = Enabled, g7^2 = Disabled

**ADDON COMPATIBILITY**

* ElvUI Plugin ["AddonSkins"](https://www.curseforge.com/wow/addons/elvui_addonskins) fully customized for compatibility

**JOIN-UP ON DISCORD!**

https://discord.gg/TaYcGHB

Join up on discord for udpates, and feel free to chat about the addon, make suggestions, or report bugs. I will need the help in reporting the bugs. There are just too many edge cases that might occur.. Any help will be greatly appreciated in bug reporting.


